Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
GET https://api.ap1.datadoghq.com/api/v2/static-analysis/default-rulesets/{language}https://api.ap2.datadoghq.com/api/v2/static-analysis/default-rulesets/{language}https://api.datadoghq.eu/api/v2/static-analysis/default-rulesets/{language}https://api.ddog-gov.com/api/v2/static-analysis/default-rulesets/{language}https://api.us2.ddog-gov.com/api/v2/static-analysis/default-rulesets/{language}https://api.datadoghq.com/api/v2/static-analysis/default-rulesets/{language}https://api.us3.datadoghq.com/api/v2/static-analysis/default-rulesets/{language}https://api.us5.datadoghq.com/api/v2/static-analysis/default-rulesets/{language}
Overview
Get the default SAST ruleset names for a given programming language.
OAuth apps require the code_analysis_read authorization scope to access this endpoint.
Arguments
Path Parameters
The programming language for which to retrieve the default rulesets.
Response
OK
The response payload containing the default ruleset names for a programming language.
Expand All
The primary data object in the default rulesets per language response.
The attributes of the default rulesets per language response, containing the list of default ruleset names.
The list of default ruleset names for the specified programming language.
The language identifier used as the resource identifier.
Default rulesets per language resource type.
Allowed enum values: defaultRulesetsPerLanguage
default: defaultRulesetsPerLanguage
{
"data": {
"attributes": {
"rulesets": [
"python-best-practices"
]
},
"id": "python",
"type": "defaultRulesetsPerLanguage"
}
}
Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Code Example
# Path parameters
export language="python"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/static-analysis/default-rulesets/${language}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"